(*  *)
(*   Autor:  Ignacio Prez Martn.  Fecha: 15 de Mayo de 2002.   *)
(*   Msica: Roco Lpez Abelaira.                               *)
(*  *)

IMPLEMENTATION MODULE Pant;
IMPORT Graf, Graph, Comi;

CONST
   COLOR_MARCO = 09;
   NEGRO       = 00;
   MASC_MARCO  = Graph.FillMaskType(0F0H, 0F0H, 0F0H, 0F0H,
                                   00FH, 00FH, 00FH, 00FH);

PROCEDURE Crear;
BEGIN
   Graph.GraphMode;
   Graph.SetFillMask(MASC_MARCO);
   Graf.PintarRectangulo(00, 00, 42, 29, COLOR_MARCO);
   Graf.PintarRectangulo(01, 03, 41, 28, NEGRO);
   Graf.PintarRectangulo(15, 01, 27, 02, NEGRO);
END Crear;

PROCEDURE Destruir;
BEGIN
   Graph.TextMode;
END Destruir;

PROCEDURE EsMuro(pos : Graf.TPos) : BOOLEAN;
BEGIN
RETURN ( (pos.x < 1) OR (pos.x >= 41) OR
         (pos.y < 3) OR (pos.y >= 28) );
END EsMuro;

PROCEDURE IncPuntos(VAR puntos : CARDINAL);
BEGIN
   Graph.SetFillMask(Comi.MASC_COMI);
   Graf.PintarCuadrado(15+puntos, 1, Comi.COLOR_COMI);
   INC(puntos);
END IncPuntos;

BEGIN
END Pant.
