(*  *)
(*   Autor:  Ignacio Prez Martn.  Fecha: 15 de Mayo de 2002.   *)
(*   Msica: Roco Lpez Abelaira.                               *)
(*  *)

IMPLEMENTATION MODULE Comi;
IMPORT Graf, Graph;
FROM Storage IMPORT ALLOCATE, DEALLOCATE;

CONST
   NEGRO = 00;

TYPE
   TComi = POINTER TO RECORD
              pos : Graf.TPos;
           END;

PROCEDURE Crear(VAR c : TComi; pos : Graf.TPos);
BEGIN
   NEW(c);
   c^.pos := pos;
END Crear;

PROCEDURE Destruir(VAR c : TComi);
BEGIN
   DISPOSE(c);
END Destruir;

PROCEDURE Visualizar(c : TComi);
BEGIN
   Graph.SetFillMask(MASC_COMI);
   Graf.PintarCuadrado(c^.pos.x, c^.pos.y, COLOR_COMI);
END Visualizar;

PROCEDURE Comer(c : TComi);
BEGIN
   Graf.PintarCuadrado(c^.pos.x, c^.pos.y, NEGRO);
END Comer;

PROCEDURE Hacer(VAR c : TComi; pos : Graf.TPos);
BEGIN
   c^.pos := pos;
END Hacer;

PROCEDURE Posicion(c : TComi) : Graf.TPos;
BEGIN
   RETURN (c^.pos);
END Posicion;

BEGIN
END Comi.
