(*  *)
(*   Autor:  Ignacio Prez Martn.  Fecha: 15 de Mayo de 2002.   *)
(*   Msica: Roco Lpez Abelaira.                               *)
(*  *)

IMPLEMENTATION MODULE Graf;
IMPORT Graph, IO, Lib, Window;

PROCEDURE PintarCuadrado(x, y, color : CARDINAL);
VAR
   DirRealx, DirRealy : CARDINAL;
BEGIN
   DirRealx := INI_X+(x*LONG_X);
   DirRealy := INI_Y+(y*LONG_Y);
   Graph.Rectangle(DirRealx,          DirRealy,
                   DirRealx+LONG_X-1, DirRealy+LONG_Y-1, color, TRUE);
END PintarCuadrado;

PROCEDURE PintarRectangulo(inix, iniy, finx, finy, color : CARDINAL);
VAR
   DirInix, DirIniy : CARDINAL;
   DirFinx, DirFiny : CARDINAL;
BEGIN
   DirInix := INI_X+(inix*LONG_X);
   DirIniy := INI_Y+(iniy*LONG_Y);
   DirFinx := INI_X+(finx*LONG_X)-1;
   DirFiny := INI_Y+(finy*LONG_Y)-1;
   Graph.Rectangle(DirInix, DirIniy, DirFinx, DirFiny, color, TRUE);
END PintarRectangulo;

PROCEDURE WrDelay(a : ARRAY OF CHAR; d : CARDINAL);
VAR
   i : CARDINAL;
BEGIN
   Window.CursorOff;
   i := 1;
   WHILE i <= HIGH(a) DO
      IF (i < HIGH(a)) AND (a[i] = a[i+1]) AND (a[i] = " ") THEN
         IO.WrChar(a[i]);
      ELSE
         Lib.Delay(d);
         Lib.Sound(220);
         IO.WrChar(a[i]);
         Lib.NoSound;
      END;
      IF (a[i] = ".") OR (a[i] = ":") THEN
         Lib.Delay(8*d);
      ELSIF (a[i] = ",") THEN
         Lib.Delay(4*d);
      END;
      INC(i);
   END;
   Window.CursorOn;
END WrDelay;

BEGIN
END Graf.